std::ctype_base(3cxx)

NAME
std::ctype_base - Base class for ctype.

SYNOPSIS

Inherited by std::__ctype_abstract_base< wchar_t >, std::__ctype_abstract_base< _CharT >, and std::ctype< char >.

  Public Types

typedef const int * __to_type
typedef unsigned short mask

  Static Public Attributes

static const mask alnum
static const mask alpha
static const mask blank
static const mask cntrl
static const mask digit
static const mask graph
static const mask lower
static const mask print
static const mask punct
static const mask space
static const mask upper
static const mask xdigit

Detailed Description

Base class for ctype.

Author

Generated automatically by Doxygen for libstdc++ from the source code.